cURL
curl --request POST \
--url https://flatbay.fr/fr/api/property/{id}/photo \
--header 'Content-Type: application/json' \
--data '
{
"content": "<string>",
"roomId": "<string>"
}
'import requests
url = "https://flatbay.fr/fr/api/property/{id}/photo"
payload = {
"content": "<string>",
"roomId": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({content: '<string>', roomId: '<string>'})
};
fetch('https://flatbay.fr/fr/api/property/{id}/photo', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://flatbay.fr/fr/api/property/{id}/photo",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'content' => '<string>',
'roomId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://flatbay.fr/fr/api/property/{id}/photo"
payload := strings.NewReader("{\n \"content\": \"<string>\",\n \"roomId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://flatbay.fr/fr/api/property/{id}/photo")
.header("Content-Type", "application/json")
.body("{\n \"content\": \"<string>\",\n \"roomId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://flatbay.fr/fr/api/property/{id}/photo")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"content\": \"<string>\",\n \"roomId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body1{
"error": "<string>"
}Endpoint Examples
Ajouter une photo à un bien
Route d’ajout d’une photo à une property
POST
/
property
/
{id}
/
photo
cURL
curl --request POST \
--url https://flatbay.fr/fr/api/property/{id}/photo \
--header 'Content-Type: application/json' \
--data '
{
"content": "<string>",
"roomId": "<string>"
}
'import requests
url = "https://flatbay.fr/fr/api/property/{id}/photo"
payload = {
"content": "<string>",
"roomId": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({content: '<string>', roomId: '<string>'})
};
fetch('https://flatbay.fr/fr/api/property/{id}/photo', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://flatbay.fr/fr/api/property/{id}/photo",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'content' => '<string>',
'roomId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://flatbay.fr/fr/api/property/{id}/photo"
payload := strings.NewReader("{\n \"content\": \"<string>\",\n \"roomId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://flatbay.fr/fr/api/property/{id}/photo")
.header("Content-Type", "application/json")
.body("{\n \"content\": \"<string>\",\n \"roomId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://flatbay.fr/fr/api/property/{id}/photo")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"content\": \"<string>\",\n \"roomId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body1{
"error": "<string>"
}Il faudra que l’equipe flatbay vous fournisse une clé d’api pour utiliser cette route.
La photo doit être envoyée en base64 dans le champ “content”.
Path Parameters
Body
application/json
Response
Détails de l'établissement récupérés avec succès
Identifiant du bien
Available options:
1, 3, 4, 5, 6, 7, 8, 9, 10 Example:
1

